View Issue Details

IDProjectCategoryView StatusLast Update
0015636LazarusLCLpublic2010-05-02 21:45
ReporterMaxim Ganetsky Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindows 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015636: fsStayOnTop forms stays on top of ShowMessage/MessageDlg windows
DescriptionWhen ShowMessage/MessageDlg is called from the form with style fsStayOnTop, they get the focus, but the form stays on top of them.

The issue is present also in Lazarus 0.9.28.3.

There are also bugs 0007824 and 0002011.
Since they are marked as fixed I consider this bug a regression.
Steps To Reproduce1. Load attached project.
2. Click 'Show Form2' button.
3. Form2 with fsStayOnTop style will open.
4. Click 'Call ShowMessage' button there.
5. Move ShowMessage window and you will see that Form2 is always above it.
TagsNo tags attached.
Fixed in Revision25138
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

2010-01-30 19:48

 

Paul Ishenin

2010-05-02 19:00

manager   ~0037170

Please test and close if ok.

Maxim Ganetsky

2010-05-02 21:45

developer   ~0037176

Works correctly, thanks.

Issue History

Date Modified Username Field Change
2010-01-30 19:48 Maxim Ganetsky New Issue
2010-01-30 19:48 Maxim Ganetsky File Added: fsStayOnTopShowMessage.zip
2010-01-30 19:48 Maxim Ganetsky Widgetset => Win32/Win64
2010-03-12 12:43 Vincent Snijders LazTarget => 0.9.30
2010-03-12 12:43 Vincent Snijders Status new => acknowledged
2010-03-12 12:43 Vincent Snijders Target Version => 0.9.30
2010-05-02 19:00 Paul Ishenin Fixed in Revision => 25138
2010-05-02 19:00 Paul Ishenin Status acknowledged => resolved
2010-05-02 19:00 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-02 19:00 Paul Ishenin Resolution open => fixed
2010-05-02 19:00 Paul Ishenin Assigned To => Paul Ishenin
2010-05-02 19:00 Paul Ishenin Note Added: 0037170
2010-05-02 21:45 Maxim Ganetsky Status resolved => closed
2010-05-02 21:45 Maxim Ganetsky Note Added: 0037176